C
C SUBROUTINE 'FILMRR'
C ===================
C
C Service routine used within film image reading routines
C
C Note: Not a user callable routine
C
      SUBROUTINE FILMRR(IUN,KREC,IBUF,IRECL,ERR)
C
      LOGICAL ERR
      INTEGER IBUF(IRECL)
C
      ERR=.FALSE.
      READ (IUN,REC=KREC,ERR=800) IBUF
      RETURN
C
800   ERR=.TRUE.
      RETURN
      END
